it-swarm-ja.com

intelliJがEl capitan 10.11で動作しない

新しいOSEl capitan 10.11をインストールしたところ、intelliJが機能していないことがわかりました。

起動すると、次のエラーが発生します。

"This application requires the legacy Java SE 6 runtime which is unavailable for this version of OS X."

Javaはまだ適切に設定されていないと思います。これを機能させる方法について誰かアイデアがありますか?

9
denislexic

すべてが正常に機能する(そしてAppleが提供するJava 6ランタイムがインストールされた))10.10インストールのアップグレードを行った場合、次の解決策が機能する可能性があります。私はあなたと同じ問題を抱えていました持っていた、そしてこれは私の問題を解決しました:

  1. IntelliJを終了し、Finderの[アプリケーション]フォルダーに移動します
  2. IntelliJ.appを右クリックして、次を選択します。パッケージの内容を表示する
  3. コンテンツフォルダーを開きます(これは私の場合、唯一のファイル/フォルダーでした)
  4. ある種のテキストエディタを使用してInfo.plistファイルを開きます(TextEditorがその仕事をするはずですが、私はそのようなタスクにSublimeを使用することを好みます)。
  5. 次のタグを見つけます。

    <key>JVMVersion</key>
    <string>1.6*,1.7+</string>
    
  6. 削除する 1.6*,は文字列タグからなので、次のようになります。

    <key>JVMVersion</key>
    <string>1.7+</string>
    
  7. ファイルを保存して、IntelliJを再起動してみてください。

私が言ったように、これは私にとってはうまくいくようです。私はIntelliJ14を使用していることに注意する必要がありますが、このプロセスは13でも機能するはずです。

また、Apple)からのより永続的な解決策が出てきたら、これらの手順を元に戻す(削除したテキストを再度追加する)か、IntelliJを完全に再インストールすることをお勧めします。

20
Dimiter

私は単に再インストールしましたJava 6 from this Apple link https://support.Apple.com/kb/DL1572?locale=en_US =およびIntelliJ 14はそれを認識できました。これにより、Java Intellijで1.6を引き続き使用できます。

詳細はこちら: https://intellij-support.jetbrains.com/hc/en-us/articles/206827627-IDE-doesn-t-start-after-updating-to-Mac-OS-Yosemite-または-マーベリックス

Jetbrainsサポートから:

JDK 1.6を実行するには、JDK 1.6が必要であり、システムにない可能性があります。 Apple JDK1.6をインストールしてください。製品を初めて起動したときにJavaをインストールするように提案するウィンドウが表示されますが、非表示になる可能性があります。他のアプリケーションウィンドウによって。

4